List crypto wallet addresses
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/wallets/{walletId}/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto wallet addresses retrieved successfully.",
"data": [
{
"id": "address-id",
"customer_id": "customer-id",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET",
"type": "deposit",
"status": "SUCCESSFUL"
}
]
}Crypto
List crypto wallet addresses
Get deposit addresses for one business crypto wallet. To get the addresses for one customer, use the optional customer_id query parameter. Required scope: crypto-wallet:read.
GET
/
api
/
external
/
crypto
/
wallets
/
{walletId}
/
addresses
List crypto wallet addresses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The crypto wallet ID.
Query Parameters
Optional. Return only the addresses for this customer.
Response
Crypto wallet addresses retrieved successfully.
Was this page helpful?